Index: /pkg/main/parsix-su/trunk/debian/rules
===================================================================
--- /pkg/main/parsix-su/trunk/debian/rules	(revision 1453)
+++ /pkg/main/parsix-su/trunk/debian/rules	(revision 1453)
@@ -0,0 +1,4 @@
+#!/usr/bin/make -f
+
+include /usr/share/cdbs/1/rules/debhelper.mk
+
Index: /pkg/main/parsix-su/trunk/debian/control
===================================================================
--- /pkg/main/parsix-su/trunk/debian/control	(revision 1453)
+++ /pkg/main/parsix-su/trunk/debian/control	(revision 1453)
@@ -0,0 +1,16 @@
+Source: parsix-su
+Section: admin
+Priority: optional
+Maintainer: Alan Baghumian <alan@technotux.org>
+Build-Depends-Indep: cdbs (>= 0.4.21), debhelper (>= 5.0.0)
+Standards-Version: 3.7.2
+
+Package: parsix-su
+Architecture: all
+Depends: sudo
+Replaces: kanotix-su
+Conflicts: kanotix-su
+Provides: kanotix-su
+Suggests: gksu
+Description: su wrapper for Parsix
+ This package provides a simple su wrapper for various uses.
Index: /pkg/main/parsix-su/trunk/debian/compat
===================================================================
--- /pkg/main/parsix-su/trunk/debian/compat	(revision 1453)
+++ /pkg/main/parsix-su/trunk/debian/compat	(revision 1453)
@@ -0,0 +1,1 @@
+5
Index: /pkg/main/parsix-su/trunk/debian/install
===================================================================
--- /pkg/main/parsix-su/trunk/debian/install	(revision 1453)
+++ /pkg/main/parsix-su/trunk/debian/install	(revision 1453)
@@ -0,0 +1,2 @@
+parsix-su	usr/bin/
+kanotix-su	usr/bin/
Index: /pkg/main/parsix-su/trunk/debian/changelog
===================================================================
--- /pkg/main/parsix-su/trunk/debian/changelog	(revision 1453)
+++ /pkg/main/parsix-su/trunk/debian/changelog	(revision 1453)
@@ -0,0 +1,34 @@
+parsix-su (0.2.3) unstable; urgency=low
+
+  * Initial fork for Parsix GNU/Linux
+
+ -- Alan Baghumian <alan@technotux.org>  Mon, 11 Jun 2007 09:43:21 +0330
+
+kanotix-su (0.2.2) unstable; urgency=low
+
+  * remove X.org <7 compatibility.
+  * add -t to kdesu to see the output of cli applications.
+  * remove lintion overrides.
+  * bump standards version to 3.7.2.
+
+ -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Wed, 20 Sep 2006 19:51:51 +0200
+
+kanotix-su (0.2.1) unstable; urgency=low
+
+  * bump compat level to 5.
+  * knoppix --> kanotix transition.
+
+ -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sun, 12 Mar 2006 00:21:50 +0100
+
+kanotix-su (0.2) unstable; urgency=low
+
+  * add root path (e.g. for xauth).
+
+ -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Fri,  1 Jul 2005 16:07:36 +0200
+
+kanotix-su (0.1) unstable; urgency=low
+
+  * Initial Release.
+
+ -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Wed, 23 Mar 2005 01:18:51 +0100
+
Index: /pkg/main/parsix-su/trunk/debian/copyright
===================================================================
--- /pkg/main/parsix-su/trunk/debian/copyright	(revision 1453)
+++ /pkg/main/parsix-su/trunk/debian/copyright	(revision 1453)
@@ -0,0 +1,7 @@
+This package was debianized by Stefan Lippers-Hollmann <s.l-h@gmx.de> on Sat, 19 Mar 2005 13:51:50 +0100.
+
+It was downloaded from http://www.kanotix.com
+
+Upstream Author: Stefan Lippers-Hollmann <s.l-h@gmx.de>
+
+Copyright: GPL, /usr/share/common-licenses
Index: /pkg/main/parsix-su/trunk/kanotix-su
===================================================================
--- /pkg/main/parsix-su/trunk/kanotix-su	(revision 1453)
+++ /pkg/main/parsix-su/trunk/kanotix-su	(revision 1453)
@@ -0,0 +1,77 @@
+#!/bin/sh
+# minimal su Wrapper for various cases
+# (C) Stefan Lippers-Hollmann 2005, GNU GPL
+
+# yes, this code is not really pretty, but it works...
+# only one exit is really needed, the rest is only for debugging purposes.
+
+# override tool behaviour through distro-defaults
+FLL_DISTRO_MODE="installed"
+[ -r /etc/default/distro ] && source /etc/default/distro
+
+PATH="$PATH:/sbin:/usr/sbin"
+
+# become root
+if [ "`id -u`" != "0" ]; then
+	if [ "$FLL_DISTRO_MODE" = "live" ]; then
+		# live
+		exec sudo "$@" || exit 1
+		exit 0
+	else
+		if [ -n "$DISPLAY" ]; then
+			# X11 active
+			if [ -x /usr/bin/dcop ]; then
+				# KDE is installed
+				dcop kicker &> /dev/null
+				if [ "$?" = "0" ]; then #fixme
+					# KDE is running
+					if [ -x /usr/bin/kdesu ]; then
+						# kdesu is installed
+						exec kdesu -t -- "$@" || exit 2
+						exit 0
+					else
+						# no kdesu
+						if [ -x /usr/bin/gksu ]; then
+							# try gksu
+							exec gksu -- "$@" || exit 3
+							exit 0
+						else
+							# damn it
+							exit 4
+						fi
+					fi
+				else
+					# no KDE
+					if [ -x /usr/bin/gksu ]; then
+						exec gksu -- "$@" || exit 5
+						exit 0
+					fi
+				fi
+			else
+				# no kde
+				if [ -x /usr/bin/gksu ]; then
+					exec gksu -- "$@" || exit 6
+					exit 0
+				else
+					if [ -x /usr/bin/kdesu ]; then
+						# more than unlikely, but...
+						exec kdesu -t -- "$@" || exit 7
+						exit 0
+					fi
+				fi
+			fi
+		else
+			# cli
+			exec su -c "$@" || exit 8
+			exit 0
+		fi
+	fi
+else
+	# we are already root, so why did you call us...?
+	exec "$@"
+	exit 0
+fi
+
+# damned, this shouldn't happen
+exit 999
+
Index: /pkg/main/parsix-su/trunk/parsix-su
===================================================================
--- /pkg/main/parsix-su/trunk/parsix-su	(revision 1453)
+++ /pkg/main/parsix-su/trunk/parsix-su	(revision 1453)
@@ -0,0 +1,77 @@
+#!/bin/sh
+# minimal su Wrapper for various cases
+# (C) Stefan Lippers-Hollmann 2005, GNU GPL
+
+# yes, this code is not really pretty, but it works...
+# only one exit is really needed, the rest is only for debugging purposes.
+
+# override tool behaviour through distro-defaults
+FLL_DISTRO_MODE="installed"
+[ -r /etc/default/distro ] && source /etc/default/distro
+
+PATH="$PATH:/sbin:/usr/sbin"
+
+# become root
+if [ "`id -u`" != "0" ]; then
+	if [ "$FLL_DISTRO_MODE" = "live" ]; then
+		# live
+		exec sudo "$@" || exit 1
+		exit 0
+	else
+		if [ -n "$DISPLAY" ]; then
+			# X11 active
+			if [ -x /usr/bin/dcop ]; then
+				# KDE is installed
+				dcop kicker &> /dev/null
+				if [ "$?" = "0" ]; then #fixme
+					# KDE is running
+					if [ -x /usr/bin/kdesu ]; then
+						# kdesu is installed
+						exec kdesu -t -- "$@" || exit 2
+						exit 0
+					else
+						# no kdesu
+						if [ -x /usr/bin/gksu ]; then
+							# try gksu
+							exec gksu -- "$@" || exit 3
+							exit 0
+						else
+							# damn it
+							exit 4
+						fi
+					fi
+				else
+					# no KDE
+					if [ -x /usr/bin/gksu ]; then
+						exec gksu -- "$@" || exit 5
+						exit 0
+					fi
+				fi
+			else
+				# no kde
+				if [ -x /usr/bin/gksu ]; then
+					exec gksu -- "$@" || exit 6
+					exit 0
+				else
+					if [ -x /usr/bin/kdesu ]; then
+						# more than unlikely, but...
+						exec kdesu -t -- "$@" || exit 7
+						exit 0
+					fi
+				fi
+			fi
+		else
+			# cli
+			exec su -c "$@" || exit 8
+			exit 0
+		fi
+	fi
+else
+	# we are already root, so why did you call us...?
+	exec "$@"
+	exit 0
+fi
+
+# damned, this shouldn't happen
+exit 999
+
